% Discrete logistic model
%   p(n+1)=p(n)+r*(K-p(n))*p(n)
%
% Computational Biology. Aderito Araujo. May 1, 2024
%
clc; clear; close all;
% read data
D = readmatrix('gause.xlsx','Sheet','isolation');
% define vectors with the collected data
lines = 2:25; % day 2 to day 25 (no measures on day 1)
day = 1; Paurelia = 2; Pcaudatum = 3;
t = D(lines, day); p_aurelia = D(lines, Paurelia);
% logistic model
p = zeros(size(p_aurelia)); p(1) = p_aurelia(1);
r = 0.0015; K = 540;
for n=1:length(t)-1
    p(n+1)=p(n)+r*(K-p(n))*p(n);
end
% plot data
plot(t,p_aurelia,'rd','MarkerSize',12);
hold on
% plot logistic model
plot(t,p,'b*','MarkerSize',12);
hold off
legend('data','simulation')
% plot format
set(gca,'FontName', 'Helvetica', 'Fontsize', 20)